MONGOC_CLIENT_NEW(3)

NAME
mongoc_client_new - mongoc_client_new()

SYNOPSIS

        mongoc_client_t *
        mongoc_client_new (const char *uri_string);

Creates a new mongoc_client_t using the URI string provided.

PARAMETERS

    •   uri_string: A string containing the MongoDB connection URI.

RETURNS

A newly allocated mongoc_client_t if the URI parsed successfully, otherwise NULL.

SEE ALSO

mongoc_client_new_from_uri()

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc